Package org.springframework.security.cas

# Class SamlServiceProperties

java.lang.Object
org.springframework.security.cas.ServiceProperties
org.springframework.security.cas.SamlServiceProperties

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`

public final class SamlServiceProperties extends ServiceProperties
Sets the appropriate parameters for CAS's implementation of SAML (which is not guaranteed to be actually SAML compliant).

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_SAML_ARTIFACT_PARAMETER`
`static final String`
`DEFAULT_SAML_SERVICE_PARAMETER`

### Fields inherited from class org.springframework.security.cas.ServiceProperties

`DEFAULT_CAS_ARTIFACT_PARAMETER, DEFAULT_CAS_SERVICE_PARAMETER`

## Constructor Summary

Constructors
Constructor
Description
`SamlServiceProperties()`

## Method Summary

### Methods inherited from class org.springframework.security.cas.ServiceProperties

`afterPropertiesSet, getArtifactParameter, getService, getServiceParameter, isAuthenticateAllArtifacts, isSendRenew, setArtifactParameter, setAuthenticateAllArtifacts, setSendRenew, setService, setServiceParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SAML_ARTIFACT_PARAMETER

public static final String DEFAULT_SAML_ARTIFACT_PARAMETER

See Also:
  - Constant Field Values

### DEFAULT_SAML_SERVICE_PARAMETER

public static final String DEFAULT_SAML_SERVICE_PARAMETER

See Also:
  - Constant Field Values

## Constructor Details

### SamlServiceProperties

public SamlServiceProperties()